JFLEX(1)

NAME
jflex - a lexical analyzer generator (also known as scanner generator) for Java

SYNOPSIS
jflex <options> <input-files>

DESCRIPTION
JFlex is a lexical analyzer generator (also known as scanner generator) for Java(tm), written in Java(tm). It is also a rewrite of the very useful tool JLex. JFlex is designed to work together with the LALR parser generator CUP, and the Java modification of Berkeley Yacc BYacc/J. It can also be used together with other parser generators like ANTLR or as a standalone tool.

OPTIONS

-d <directory>
    write generated file to <directory>

--skel <file>
    use external skeleton <file>

--switch, --table, --pack
    set default code generation method

--jlex
    strict JLex compatibility

--nomin
    skip minimization step

--nobak
    don't create backup files

--dump
    display transition tables

--dot
    write graphviz .dot files for the generated automata (alpha)

--verbose, -v
    display generation progress messages (default)

--quiet, -q
    display errors only

--time
    display generation time statistics

--version
    print the version number of this copy of jflex

--info
    print system + JDK information

--help, -h
    print this message

AUTHOR
This manual page was written by Wolfgang Baer <WBaer@gmx.de>, for the Debian project (but may be used by others).